diff tools/verify-all-heads.sh @ 304:ce676eff002b

First merge, totally untested.
author Dan Villiom Podlaski Christiansen <danchr@gmail.com>
date Fri, 01 May 2009 10:28:59 +0200
parents 3c87de482011
children 5071b8511572
line wrap: on
line diff
--- a/tools/verify-all-heads.sh
+++ b/tools/verify-all-heads.sh
@@ -1,7 +1,9 @@
 #!/bin/sh
-for b in `hg branches | cut -f 1 -d ' '` ; do
+. $(dirname $0)/common.sh
+
+for b in `hg branches -a | cut -f 1 -d ' ' | grep -v closed-branches` ; do
     hg co $b || break
     echo Verifying $b
-    $(dirname $0)/bisect-find-bad.sh > /dev/null || break
+    verify_current_revision keep > /dev/null || break
     echo $b Verified.
 done